<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>ConfigurationBuilderEvent (Apache Commons Configuration 2.2 API)</title>
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ConfigurationBuilderEvent (Apache Commons Configuration 2.2 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ConfigurationBuilderEvent.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/apache/commons/configuration2/builder/ConfigurationBuilder.html" title="interface in org.apache.commons.configuration2.builder"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/apache/commons/configuration2/builder/ConfigurationBuilderResultCreatedEvent.html" title="class in org.apache.commons.configuration2.builder"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/configuration2/builder/ConfigurationBuilderEvent.html" target="_top">Frames</a></li>
<li><a href="ConfigurationBuilderEvent.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.apache.commons.configuration2.builder</div>
<h2 title="Class ConfigurationBuilderEvent" class="title">Class ConfigurationBuilderEvent</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/7/docs/api/java/util/EventObject.html?is-external=true" title="class or interface in java.util">java.util.EventObject</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../org/apache/commons/configuration2/event/Event.html" title="class in org.apache.commons.configuration2.event">org.apache.commons.configuration2.event.Event</a></li>
<li>
<ul class="inheritance">
<li>org.apache.commons.configuration2.builder.ConfigurationBuilderEvent</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="http://docs.oracle.com/javase/7/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a></dd>
</dl>
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../../../../../org/apache/commons/configuration2/builder/ConfigurationBuilderResultCreatedEvent.html" title="class in org.apache.commons.configuration2.builder">ConfigurationBuilderResultCreatedEvent</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">ConfigurationBuilderEvent</span>
extends <a href="../../../../../org/apache/commons/configuration2/event/Event.html" title="class in org.apache.commons.configuration2.event">Event</a></pre>
<div class="block"><p>
 A base event class for events generated by a <a href="../../../../../org/apache/commons/configuration2/builder/ConfigurationBuilder.html" title="interface in org.apache.commons.configuration2.builder"><code>ConfigurationBuilder</code></a>.
 </p>
 <p>
 Configuration builders can trigger a number of different events. All these
 events are derived from this class. This event base class does not define any
 additional properties. However, it defines that the event source must be a
 <code>ConfigurationBuilder</code>.
 </p></div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>2.0</dd>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>$Id: ConfigurationBuilderEvent.java 1790899 2017-04-10 21:56:46Z ggregory $</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../serialized-form.html#org.apache.commons.configuration2.builder.ConfigurationBuilderEvent">Serialized Form</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../org/apache/commons/configuration2/event/EventType.html" title="class in org.apache.commons.configuration2.event">EventType</a>&lt;<a href="../../../../../org/apache/commons/configuration2/builder/ConfigurationBuilderEvent.html" title="class in org.apache.commons.configuration2.builder">ConfigurationBuilderEvent</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/ConfigurationBuilderEvent.html#ANY">ANY</a></span></code>
<div class="block">The common super type for all events related to configuration builders.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../org/apache/commons/configuration2/event/EventType.html" title="class in org.apache.commons.configuration2.event">EventType</a>&lt;<a href="../../../../../org/apache/commons/configuration2/builder/ConfigurationBuilderEvent.html" title="class in org.apache.commons.configuration2.builder">ConfigurationBuilderEvent</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/ConfigurationBuilderEvent.html#CONFIGURATION_REQUEST">CONFIGURATION_REQUEST</a></span></code>
<div class="block">The specific event type for configuration request events.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../org/apache/commons/configuration2/event/EventType.html" title="class in org.apache.commons.configuration2.event">EventType</a>&lt;<a href="../../../../../org/apache/commons/configuration2/builder/ConfigurationBuilderEvent.html" title="class in org.apache.commons.configuration2.builder">ConfigurationBuilderEvent</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/ConfigurationBuilderEvent.html#RESET">RESET</a></span></code>
<div class="block">The specific event type for builder reset events.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.java.util.EventObject">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;java.util.<a href="http://docs.oracle.com/javase/7/docs/api/java/util/EventObject.html?is-external=true" title="class or interface in java.util">EventObject</a></h3>
<code><a href="http://docs.oracle.com/javase/7/docs/api/java/util/EventObject.html?is-external=true#source" title="class or interface in java.util">source</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/ConfigurationBuilderEvent.html#ConfigurationBuilderEvent-org.apache.commons.configuration2.builder.ConfigurationBuilder-org.apache.commons.configuration2.event.EventType-">ConfigurationBuilderEvent</a></span>(<a href="../../../../../org/apache/commons/configuration2/builder/ConfigurationBuilder.html" title="interface in org.apache.commons.configuration2.builder">ConfigurationBuilder</a>&lt;?&gt;&nbsp;source,
                         <a href="../../../../../org/apache/commons/configuration2/event/EventType.html" title="class in org.apache.commons.configuration2.event">EventType</a>&lt;? extends <a href="../../../../../org/apache/commons/configuration2/builder/ConfigurationBuilderEvent.html" title="class in org.apache.commons.configuration2.builder">ConfigurationBuilderEvent</a>&gt;&nbsp;evType)</code>
<div class="block">Creates a new instance of <code>ConfigurationBuilderEvent</code> and sets
 basic properties.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/builder/ConfigurationBuilder.html" title="interface in org.apache.commons.configuration2.builder">ConfigurationBuilder</a>&lt;?&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/ConfigurationBuilderEvent.html#getSource--">getSource</a></span>()</code>
<div class="block">Returns the source of this event as a <code>ConfigurationBuilder</code>.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.apache.commons.configuration2.event.Event">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.apache.commons.configuration2.event.<a href="../../../../../org/apache/commons/configuration2/event/Event.html" title="class in org.apache.commons.configuration2.event">Event</a></h3>
<code><a href="../../../../../org/apache/commons/configuration2/event/Event.html#appendPropertyRepresentation-java.lang.StringBuilder-java.lang.String-java.lang.Object-">appendPropertyRepresentation</a>, <a href="../../../../../org/apache/commons/configuration2/event/Event.html#getEventType--">getEventType</a>, <a href="../../../../../org/apache/commons/configuration2/event/Event.html#toString--">toString</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="ANY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ANY</h4>
<pre>public static final&nbsp;<a href="../../../../../org/apache/commons/configuration2/event/EventType.html" title="class in org.apache.commons.configuration2.event">EventType</a>&lt;<a href="../../../../../org/apache/commons/configuration2/builder/ConfigurationBuilderEvent.html" title="class in org.apache.commons.configuration2.builder">ConfigurationBuilderEvent</a>&gt; ANY</pre>
<div class="block">The common super type for all events related to configuration builders.</div>
</li>
</ul>
<a name="RESET">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RESET</h4>
<pre>public static final&nbsp;<a href="../../../../../org/apache/commons/configuration2/event/EventType.html" title="class in org.apache.commons.configuration2.event">EventType</a>&lt;<a href="../../../../../org/apache/commons/configuration2/builder/ConfigurationBuilderEvent.html" title="class in org.apache.commons.configuration2.builder">ConfigurationBuilderEvent</a>&gt; RESET</pre>
<div class="block">The specific event type for builder reset events. Events of this type are
 generated each time the builder's <code>resetResult()</code> method is called.</div>
</li>
</ul>
<a name="CONFIGURATION_REQUEST">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>CONFIGURATION_REQUEST</h4>
<pre>public static final&nbsp;<a href="../../../../../org/apache/commons/configuration2/event/EventType.html" title="class in org.apache.commons.configuration2.event">EventType</a>&lt;<a href="../../../../../org/apache/commons/configuration2/builder/ConfigurationBuilderEvent.html" title="class in org.apache.commons.configuration2.builder">ConfigurationBuilderEvent</a>&gt; CONFIGURATION_REQUEST</pre>
<div class="block">The specific event type for configuration request events. Events of this
 type are generated each time the builder's <code>getConfiguration()</code>
 method is called (before the managed configuration is actually accessed
 and the lock is acquired). This gives listeners the opportunity to
 perform some checks which may invalidate the configuration, e.g. trigger
 a reload check. <strong>Note:</strong> A listener must not call the
 builder's <code>getConfiguration()</code> method - this will cause an
 infinite loop!</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../org/apache/commons/configuration2/builder/ConfigurationBuilder.html#getConfiguration--"><code>ConfigurationBuilder.getConfiguration()</code></a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="ConfigurationBuilderEvent-org.apache.commons.configuration2.builder.ConfigurationBuilder-org.apache.commons.configuration2.event.EventType-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ConfigurationBuilderEvent</h4>
<pre>public&nbsp;ConfigurationBuilderEvent(<a href="../../../../../org/apache/commons/configuration2/builder/ConfigurationBuilder.html" title="interface in org.apache.commons.configuration2.builder">ConfigurationBuilder</a>&lt;?&gt;&nbsp;source,
                                 <a href="../../../../../org/apache/commons/configuration2/event/EventType.html" title="class in org.apache.commons.configuration2.event">EventType</a>&lt;? extends <a href="../../../../../org/apache/commons/configuration2/builder/ConfigurationBuilderEvent.html" title="class in org.apache.commons.configuration2.builder">ConfigurationBuilderEvent</a>&gt;&nbsp;evType)</pre>
<div class="block">Creates a new instance of <code>ConfigurationBuilderEvent</code> and sets
 basic properties.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>source</code> - the <code>ConfigurationBuilder</code> object which triggered
        this event (must not be <b>null</b>)</dd>
<dd><code>evType</code> - the type of this event (must not be <b>null</b>)</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/IllegalArgumentException.html?is-external=true" title="class or interface in java.lang">IllegalArgumentException</a></code> - if a required parameter is null</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getSource--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getSource</h4>
<pre>public&nbsp;<a href="../../../../../org/apache/commons/configuration2/builder/ConfigurationBuilder.html" title="interface in org.apache.commons.configuration2.builder">ConfigurationBuilder</a>&lt;?&gt;&nbsp;getSource()</pre>
<div class="block">Returns the source of this event as a <code>ConfigurationBuilder</code>.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="http://docs.oracle.com/javase/7/docs/api/java/util/EventObject.html?is-external=true#getSource--" title="class or interface in java.util">getSource</a></code>&nbsp;in class&nbsp;<code><a href="http://docs.oracle.com/javase/7/docs/api/java/util/EventObject.html?is-external=true" title="class or interface in java.util">EventObject</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the <code>ConfigurationBuilder</code> which generated this event</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ConfigurationBuilderEvent.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/apache/commons/configuration2/builder/ConfigurationBuilder.html" title="interface in org.apache.commons.configuration2.builder"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/apache/commons/configuration2/builder/ConfigurationBuilderResultCreatedEvent.html" title="class in org.apache.commons.configuration2.builder"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/configuration2/builder/ConfigurationBuilderEvent.html" target="_top">Frames</a></li>
<li><a href="ConfigurationBuilderEvent.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2001&#x2013;2017 <a href="https://www.apache.org/">The Apache Software Foundation</a>. All rights reserved.</small></p>
</body>
</html>
